<template>
  <q-page padding>
    <div class="text-h5 q-mb-md">Panel Principal</div>

    <div class="row q-col-gutter-sm">
      <div class="col-md-12 col-xs-12">
        <NovedadesPage />
      </div>
      <div class="col-md-5 col-xs-12">
        <LinksPartial />
      </div>
      <div class="col-md-7 col-xs-12">
        <CumpleaniosPartial v-if="!user.details.is.nacion" />
      </div>
    </div>
  </q-page>
</template>

<script lang="ts">
import { defineComponent } from 'vue';
import LinksPartial from './_LinksPartial.vue';
import CumpleaniosPartial from './_CumpleaniosPartial.vue';
import NovedadesPage from './_NovedadesPage.vue';
import { useUserStore } from 'src/stores/user';

export default defineComponent({
  name: 'IndexPage',
  components: { LinksPartial, CumpleaniosPartial, NovedadesPage },
  setup() {
    const user = useUserStore();
    return {
      user,
    };
  },
});
</script>
